Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# tests/ptv.h File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Classes
class | ptv
struct | ptv_is_less
## Functions
std::ostream & | operator<< (std::ostream &os, const ptv &p)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ptv & | p
| ) |

| Definition at line 100 of file syfi/ptv.cpp. References ptv::size().
    00100                                                         {
    00101   if (p.size() >= 1) {
    00102     os <<"[";
    00103     for (int i=0; i< p.size()-1; i++) {
    00104       os <<p[i]<<",";
    00105     }
    00106     os <<p[p.size()-1]<<"]";
    00107   } else {
    00108     os <<"ptv not created properly"<<std::endl;
    00109   }
    00110 }